DROP TABLE IF EXISTS `classifieds_ads`;
CREATE TABLE IF NOT EXISTS `classifieds_ads` (
  `classifieds_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `location_id` int(11) unsigned DEFAULT NULL,
  `category_id` int(11) unsigned DEFAULT NULL,
  `posting_id` varchar(10) NOT NULL,
  `ad_heading` varchar(250) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `contact_id` int(11) DEFAULT NULL,
  `author` varchar(100) DEFAULT NULL,
  `address` varchar(100) DEFAULT NULL,
  `compensation` VARCHAR(150) NULL DEFAULT NULL,
  `price` double(10,2) DEFAULT NULL,
  `description` text,
  `original_description` text NOT NULL,
  `type` char(1) DEFAULT 'O',
  `condition` char(1) DEFAULT 'N',
  `image_1` varchar(250) DEFAULT NULL,
  `image_1_display` char(1) DEFAULT 'Y',
  `image_2` varchar(250) DEFAULT NULL,
  `image_2_display` char(1) DEFAULT 'Y',
  `image_3` varchar(250) DEFAULT NULL,
  `image_3_display` char(1) DEFAULT 'Y',
  `image_4` varchar(250) DEFAULT NULL,
  `image_4_display` char(1) DEFAULT 'Y',
  `image_5` varchar(250) DEFAULT NULL,
  `image_5_display` char(1) DEFAULT 'Y',
  `dateposted` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `status` varchar(20) DEFAULT NULL,
  `edited_flag` tinyint(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`classifieds_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

INSERT INTO `classifieds_ads` (`classifieds_id`, `location_id`, `category_id`, `posting_id`, `ad_heading`, `user_id`, `contact_id`, `author`, `address`, `compensation`, `price`, `description`, `original_description`, `type`, `condition`, `image_1`, `image_1_display`, `image_2`, `image_2_display`, `image_3`, `image_3_display`, `image_4`, `image_4_display`, `image_5`, `image_5_display`, `dateposted`, `status`, `edited_flag`) VALUES
(1, 1, 11, '1214906410', 'ThinkPad X1 Carbon Ultrabook', NULL, 1, 'Jimmy Test', '2440 West El Camino Real, Suite 300, Mountain View, CA 94040', NULL, 825.00, '<p>The Lenovo ThinkPad X1 Carbon is a premium business-class laptop, constructed with carbon fiber. I received this laptop as a gift, and unfortunately, I already have one. So I&rsquo;m selling it for cheap.</p>\r\n\r\n<table cellpadding="5" cellspacing="0" class="default_table" style="width:100%">\r\n	<tbody>\r\n		<tr>\r\n			<td>Operating System</td>\r\n			<td>Windows 8 Pro</td>\r\n		</tr>\r\n		<tr>\r\n			<td>Processor</td>\r\n			<td>3rd Generation Intel Core i7-3667U (4.20 GHz, 4MB L3 Cache, 1333MHz FSB)</td>\r\n		</tr>\r\n		<tr>\r\n			<td>Video Graphics</td>\r\n			<td>Intel HD Graphics 4000(integrated)</td>\r\n		</tr>\r\n		<tr>\r\n			<td>Display</td>\r\n			<td>14.0&quot; HD+ Anti-Glare (1600 x 900) (300 NITS) Wide Viewing</td>\r\n		</tr>\r\n		<tr>\r\n			<td>Memory</td>\r\n			<td>Up to 8 GB DDR3L 1333MHZ</td>\r\n		</tr>\r\n		<tr>\r\n			<td>Battery Life</td>\r\n			<td>Integrated 4-cell RapidCharge battery (45.8Whr) 8.2 hrs</td>\r\n		</tr>\r\n		<tr>\r\n			<td>Webcam</td>\r\n			<td>720p HD Webcam</td>\r\n		</tr>\r\n		<tr>\r\n			<td>Weight</td>\r\n			<td>1.36 kgs (2.99 lbs)</td>\r\n		</tr>\r\n		<tr>\r\n			<td>I/O (Input/Output) Ports</td>\r\n			<td>(1) Mini DP, (1) Combo Audio, (1) USB 2.0, (1) USB 3.0, (1) 4-in-1 SD Card Reader</td>\r\n		</tr>\r\n		<tr>\r\n			<td>Storage</td>\r\n			<td>SSD: 128GB, 256GB SATA3</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', '', 'O', 'N', 'X1-1.png', 'Y', 'X1-2.png', 'Y', 'X1-3.png', 'Y', 'X1-4.png', 'Y', 'X1-5.png', 'Y', DATE_SUB(NOW(), INTERVAL 7 DAY), 'A', 0),
(2, 2, 11, '1055638147', 'Mac Book Pro', NULL, 1, 'Jimmy Test', '2440 West El Camino Real, Suite 300, Mountain View, CA 94040', NULL, 600.00, '<p>\r\n I am selling my 3 weeks old 11&quot; Mac Book Pro for $600 or OBO. I don&#39;t really like it because it&rsquo;s too big and I want something smaller. Please call me if you have any question.<br />\r\n	<br />\r\n	MAC BOOK PRO 15 INCH $600.00 OR BEST OFFER<br />\r\n	Model Name: MacBook Pro<br />\r\n	Model Identifier: MacBookPro3,1<br />\r\n	Processor Name: Intel Core 2 Duo<br />\r\n	Processor Speed: 2.2 GHz<br />\r\n	Number Of Processors: 1<br />\r\n	Total Number Of Cores: 2<br />\r\n	L2 Cache: 4 MB<br />\r\n	Memory: 2 GB<br />\r\n	Bus Speed: 800 MHz</p>\r\n', '', 'O', 'N', 'mac1.png', 'Y', 'mac2.png', 'Y', 'mac3.png', 'Y', '', 'Y', '', 'Y', DATE_SUB(NOW(), INTERVAL 5 DAY), 'F', 0),
(3, 3, 11, '1184834780', 'Brand New Dell Inspiron 15 Laptop', NULL, 2, 'Nicole Test', '60 South Market Street, Suite 1000, San Jose, CA 95113', NULL, 450.00, '<p>\r\n	Hello, I&#39;m selling this wonderful machine at a bargain price. I need some cash. Otherwise, I would not be doing this. Everything is in excellent condition. I only deal with locals. No shipping.<br />\r\n	<br />\r\n	Specs:<br />\r\n	Intel Celeron B820 1.7GHz CPU<br />\r\n	2GB DDR3<br />\r\n	320GB Hard Drive<br />\r\n	15.6&quot; LCD (1366x768) w/ Webcam<br />\r\n	Intel GMA<br />\r\n	HDMI<br />\r\n	WiFi N<br />\r\n	6 Cell Battery<br />\r\n	Windows 8</p>\r\n', '', 'O', 'N', 'dell15-1.png', 'Y', 'dell15-2.png', 'Y', 'dell15-3.png', 'Y', '', 'Y', '', 'Y', DATE_SUB(NOW(), INTERVAL 5 DAY), 'F', 0),
(4, 4, 14, '1325594536', 'Spacious 5-Bedroom House', NULL, 2, 'Nicole Test', '60 South Market Street, Suite 1000, San Jose, CA 95113', NULL, 2200.00, 'This beautiful house is located at the dead end of Marine Drive and just five minutes from Highway 880. Lots of closet space, large living room, kitchen has a passthrough area into the dining room perfect for entertaining. Light, bright and spacious this unit also has a large, sunny private deck off of the dining area that has water views. Covered carport, private storage room, water, garbage, and pool are included in the rent. <br /><br />One year lease required. No pets or smoking.<br /><br /><img src="[classified_dir]ad4.jpg"><br /><br /><img src="[classified_dir]classifieds/ad44.jpg">', '', 'O', 'N', NULL, 'Y', NULL, 'Y', NULL, 'Y', NULL, 'Y', NULL, 'Y', DATE_SUB(NOW(), INTERVAL 3 DAY), 'A', 0),
(5, 1, 14, '1263336376', 'A House with Views', NULL, 3, 'Kareena Test', '1245 Crisp Court, Sacramento, CA 95864', NULL, 1950.00, 'Uniquely charming, magnificently renovated, spacious, ultra sunny, 3 bedroom, 2 bathrooms for rent.<br /><br />Home includes large open gourmet kitchen, expansive living room with gorgeous, panoramic views, fireplace, laundry, front deck and back porch that leads into a vast backyard deck. 2250 sq. feet. And the views are gorgeous!<br /><br />Rent includes yard maintenance. Excellent credit required. Section 8 welcome.<br /><br /><img src="[classified_dir]ad5.jpg"><br /><br /><img src="[classified_dir]ad55.jpg">', '', 'O', 'N', NULL, 'Y', NULL, 'Y', NULL, 'Y', NULL, 'Y', NULL, 'Y', DATE_SUB(NOW(), INTERVAL 1 DAY), 'A', 0);


DROP TABLE IF EXISTS `classifieds_categories`;
CREATE TABLE IF NOT EXISTS `classifieds_categories` (
  `category_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `category` varchar(250) DEFAULT NULL,
  `main_id` int(11) unsigned DEFAULT NULL,
  `description` text,
  `grouping` int(11) unsigned DEFAULT NULL,
  PRIMARY KEY (`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `classifieds_categories` (`category_id`, `category`, `main_id`, `description`, `grouping`) VALUES
(1, 'Community', 0, 'Description for Community', 1),
(2, 'For Sale', 0, 'Description for For Sale', 2),
(3, 'Housing', 0, 'Description for Housing', 3),
(4, 'Jobs', 0, 'Description for Jobs', 4),
(5, 'Personal', 0, 'Description for Personal', 5),
(6, 'Services', 0, 'Description for Services', 6),
(7, 'Events', 1, 'Subcategory of Community', 7),
(8, 'Politics', 1, 'Subcategory of Community', 8),
(9, 'Volunteers', 1, 'Subcategory of Community', 9),
(10, 'Books', 2, 'Subcategory of For Sale', 10),
(11, 'Computers', 2, 'Subcategory of For Sale', 11),
(12, 'Furniture', 2, 'Subcategory of For Sale', 12),
(13, 'Apartments', 3, 'Subcategory of Housing', 13),
(14, 'Houses', 3, 'Subcategory of Housing', 14),
(15, 'Shared/Rooms', 3, 'Subcategory of Housing', 15),
(16, 'Business', 4, 'Subcategory of Jobs', 16),
(17, 'Engineering', 4, 'Subcategory of Jobs', 17),
(18, 'Manufacturing', 4, 'Subcategory of Jobs', 18),
(19, 'Retail', 4, 'Subcategory of Jobs', 19),
(20, 'Men 4 Women', 5, 'Subcategory of Personal', 20),
(21, 'Women 4 Men', 5, 'Subcategory of Personal', 21),
(22, 'Beauty', 6, 'Subcategory of Services', 22),
(23, 'Financial', 6, 'Subcategory of Services', 23),
(24, 'Legal', 6, 'Subcategory of Services', 24);


DROP TABLE IF EXISTS `classifieds_complaints`;
CREATE TABLE IF NOT EXISTS `classifieds_complaints` (
  `complaint_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `classifieds_id` int(11) NOT NULL DEFAULT '0',
  `contact_id` int(11) NOT NULL DEFAULT '0',
  `type` char(1) DEFAULT NULL,
  `ad_heading` varchar(250) DEFAULT NULL,  
  `date` date DEFAULT NULL,
  `comment` text,
  `status` varchar(20) NOT NULL DEFAULT 'Open',
  PRIMARY KEY (`complaint_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `classifieds_complaints` (`complaint_id`, `classifieds_id`, `contact_id`, `type`, `ad_heading`, `date`, `comment`, `status`) VALUES
(1, 1, 3, 'F', 'ThinkPad X1 Carbon Ultrabook', now(), 'The seller is selling a damaged computer. I would not want it even if it is free!', 'Open');


DROP TABLE IF EXISTS classifieds_locations;
CREATE TABLE classifieds_locations (
  `location_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `location` varchar(250) DEFAULT NULL,
  `main_id` int(11) unsigned default NULL,
  `description` text,
  `grouping` int(11) unsigned default NULL,
  `featured` char(1) default NULL,
  PRIMARY KEY  (location_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO classifieds_locations (location_id, location, main_id, description, grouping, featured) VALUES
(1, 'Northern Region', 0, 'Description of Northern Region', 1, 'N'),
(2, 'Eastern Region', 0, 'Description of Easern Regiont', 2, 'N'),
(3, 'Southern Region', 0, 'Description of Southern Region', 3, 'N'),
(4, 'Western Region', 0, 'Description of Western Region', 4, 'N'),
(5, 'Area 1', 1, 'Description of Area 1', 5, 'N'),
(6, 'Area 2', 1, 'Description of Area 2', 6, 'N'),
(7, 'Area 3', 1, 'Description of Area 3', 7, 'N'),
(8, 'Area 4', 2, 'Description of Area 4', 8, 'N'),
(9, 'Area 5', 2, 'Description of Area 5', 9, 'N'),
(10, 'Area 6', 2, 'Description of Area 6', 10, 'N'),
(11, 'Area 7', 3, 'Description of Area 8', 11, 'N'),
(12, 'Area 8', 3, 'Description of Area 9', 12, 'N'),
(13, 'Area 9', 3, 'Description of Area 10', 13, 'N'),
(14, 'Area 10', 4, 'Description of Area 13', 14, 'N'),
(15, 'Area 11', 4, 'CDescription of Area 14', 15, 'N'),
(16, 'Area 12', 4, 'CDescription of Area 15', 16, 'N');


/* Also update "Use Default" data in Model setting file. */
DROP TABLE IF EXISTS `classifieds_settings`;
CREATE TABLE IF NOT EXISTS `classifieds_settings` (
  `useroption` varchar(100) NOT NULL DEFAULT '',
  `setting` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `classifieds_settings` (`useroption`, `setting`) VALUES
('classifieds_homepage_display', 'header_general'),
('classifieds_homepage_header', ''),
('classifieds_homepage_info', ''),
('classifieds_homepage_content', ''),
('classifieds_column_number', '3'),
('classifieds_listingsdisplaycount', '20'),
('classifieds_limitrating', 'Yes'),
('classifieds_expiration', '365'),
('classifieds_autoapprove', 'On'),
('classifieds_tags', 'On'),
('classifieds_search', 'Yes'),
('classifieds_mini_calendar', 'Yes'),
('classifieds_sidemenu_show', 'Yes'),
('classifieds_sidemenu_type', 'location'),
('classifieds_body_locations', ''),
('classifieds_sortlocations', 'alphabetically'),
('classifieds_sortcategories', 'alphabetically'),
('classifieds_addeditalert', 'Yes'),
('classifieds_addeditsubject', 'Ad Added/Edited: [ad_heading]'),
('classifieds_addeditmessage', 'An ad has been added/edited:\r\n\r\n[details]'),
('classifieds_approvedalert', 'Yes'),
('classifieds_approvedsubject', 'Ad Approved: [ad_heading]'),
('classifieds_approvedmessage', 'Congratulations! Your classified ad has been approved. Please see the details below:\r\n\r\n[details]\r\n\r\nRegards,\r\nSite Editors'),
('classifieds_declinedalert', 'Yes'),
('classifieds_declinedsubject', 'Ad Rejected: [ad_heading]'),
('classifieds_declinedmessage', 'Hello, sorry we cannot accept your ad below because it does not meet our editorial policy.\r\n\r\n[details]\r\n\r\nRegards,\r\nSite Editors');