<?php

function hex2rgb($hex) {
   $hex = str_replace("#", "", $hex);

   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgb = array($r, $g, $b);
   //return implode(",", $rgb); // returns the rgb values separated by commas
   return $rgb; // returns an array with the rgb values
}

function hex_color_mod($hex, $diff) {
	$rgb = str_split(trim($hex, '# '), 2);
 
	foreach ($rgb as &$hex) {
		$dec = hexdec($hex);
		if ($diff >= 0) {
			$dec += $diff;
		}
		else {
			$dec -= abs($diff);			
		}
		$dec = max(0, min(255, $dec));
		$hex = str_pad(dechex($dec), 2, '0', STR_PAD_LEFT);
	}
 
	return '#'.implode($rgb);
}

extract($frontend_display_settings);

$custom_theme_properties = Theme::getCustomThemeProperties('Theme2', $color_scheme);

foreach($main_menus as $main_menu)
{
  $$main_menu['MainMenu']['useroption'] = $main_menu['MainMenu']['setting'];
}
?>

<?php if($this->SiteLayout->getSetting("page_style") == 'three_column'): ?>
.content_wrapper {
	width: auto;
	margin: 0 70px;
}
.content_column {
	margin-right: 245px;
    border-right: 1px solid #<?php echo $lines_and_borders; ?>;
}
<?php else: ?>
.right_column {
	display: none;
}
<?php endif; ?>

h3.content_h3, h3.content_h3 a, .plugin_area .box h3 {
	font-size: <?php echo $header_font_size; ?>px !important;
    font-family: "<?php echo $body_font_family; ?>";
    color: #<?php echo $link_color; ?>;
	background: #<?php echo $box_header_bg; ?>;
    text-decoration: none;
}

<?php
$field_border_color_hover_rgb = hex2rgb($color_scheme_properties['field_border_color_hover']);

?>
#top_header {
	background: #<?php echo $custom_theme_properties['top_header_background']; ?>;
	-webkit-box-shadow: 0px 1px 4px rgba(<?php echo $field_border_color_hover_rgb[0]; ?>, <?php echo $field_border_color_hover_rgb[1]; ?>, <?php echo $field_border_color_hover_rgb[2]; ?>, 0.5); ?>;
	-moz-box-shadow:    0px 1px 4px rgba(<?php echo $field_border_color_hover_rgb[0]; ?>, <?php echo $field_border_color_hover_rgb[1]; ?>, <?php echo $field_border_color_hover_rgb[2]; ?>, 0.5); ?>;
	box-shadow:         0px 1px 4px rgba(<?php echo $field_border_color_hover_rgb[0]; ?>, <?php echo $field_border_color_hover_rgb[1]; ?>, <?php echo $field_border_color_hover_rgb[2]; ?>, 0.5); ?>;
}

#content_header {
	background: #<?php echo $lines_and_borders; ?>;
	background: -moz-linear-gradient(left,  #ffffff 1%, #<?php echo $lines_and_borders; ?> 21%, #<?php echo $lines_and_borders; ?> 76%, #ffffff 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, right top, color-stop(1%,#ffffff), color-stop(21%,#<?php echo $lines_and_borders; ?>), color-stop(76%,#<?php echo $lines_and_borders; ?>), color-stop(100%,#ffffff)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(left,  #ffffff 1%,#<?php echo $lines_and_borders; ?> 21%,#<?php echo $lines_and_borders; ?> 76%,#ffffff 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(left,  #ffffff 1%,#<?php echo $lines_and_borders; ?> 21%,#<?php echo $lines_and_borders; ?> 76%,#ffffff 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(left,  #ffffff 1%,#<?php echo $lines_and_borders; ?> 21%,#<?php echo $lines_and_borders; ?> 76%,#ffffff 100%); /* IE10+ */
	background: linear-gradient(to right,  #ffffff 1%,#<?php echo $lines_and_borders; ?> 21%,#<?php echo $lines_and_borders; ?> 76%,#ffffff 100%); /* W3C */
}

.plugin_area .navigation_area {
	background: none !important;
}

.plugin_area .navigation_area ul li a {
	color: #<?php echo $custom_theme_properties['menu_text_color']; ?> !important;
}

.plugin_area .navigation_area ul.sf-menu li a {
	color: #<?php echo $custom_theme_properties['menu_tab_text_color']; ?> !important;
}

<?php if($menuincludemargin == 1): ?>
#menu_container {
	background: #<?php echo $custom_theme_properties['menu_background']; ?>;
}
.plugin_area .navigation_area ul {
	padding: 0px;
}
<?php endif; ?>

.content_column {
	border-left: 1px solid #<?php echo $lines_and_borders; ?>;
}

.theme_border {
	border-color: #<?php echo $lines_and_borders; ?>;
}

#footer_shadow {
	background: #<?php echo $box_header_bg; ?>;
	-moz-box-shadow: inset 0 6px 3px -5px rgba(<?php echo $field_border_color_hover_rgb[0]; ?>, <?php echo $field_border_color_hover_rgb[1]; ?>, <?php echo $field_border_color_hover_rgb[2]; ?>, 0.5);
	-webkit-box-shadow: inset 0 6px 3px -5px rgba(<?php echo $field_border_color_hover_rgb[0]; ?>, <?php echo $field_border_color_hover_rgb[1]; ?>, <?php echo $field_border_color_hover_rgb[2]; ?>, 0.5);
	box-shadow: inset 0 6px 3px -5px rgba(<?php echo $field_border_color_hover_rgb[0]; ?>, <?php echo $field_border_color_hover_rgb[1]; ?>, <?php echo $field_border_color_hover_rgb[2]; ?>, 0.5);
}
#footer_container {
	background: #<?php echo $custom_theme_properties['footer_background']; ?>;
}
.plugin_area #footer_content .footer_text {
	color: #<?php echo $footer_font_color; ?>;
}

<?php if($this->SiteLayout->getSetting("category_options") == 'dropdown'): ?>
.plugin_area .box h3.left {
    margin-bottom: 0px;
    margin-top: 20px;
}
.plugin_area .box h3.left:first-child {
    margin-top: 0px;
}
<?php endif; ?>

/* apply column width here */
.left_column {
	width: <?php echo $this->SiteLayout->getSetting("left_column_width"); ?>px;
}
.content_column {
	overflow: hidden;
	margin-left: <?php echo ((int)$this->SiteLayout->getSetting("left_column_width")+20); ?>px;
}

<?php if($this->SiteLayout->getSetting("page_style") == 'three_column'): ?>
.right_column {
	width: <?php echo $this->SiteLayout->getSetting("right_column_width"); ?>px;
}
.content_column {
	margin-right: <?php echo ((int)$this->SiteLayout->getSetting("right_column_width")+20); ?>px;
}
<?php endif; ?>

/* column width end */   